GTGMemory.h File Reference

This file defines a fast allocator for fixed-size blocks. More...

`#include <stdlib.h>`

Go to the source code of this file.

## Data Structures

struct | gtg_memory

## Typedefs

typedef struct gtg_memory * | gtg_memory_t

## Functions

void | gtg_block_memory_init (gtg_memory_t *memory, size_t block_size, long initial_block_number)
| Initialize the allocator. More...
void * | gtg_block_malloc (gtg_memory_t memory)
| Allocate a block of data. More...
void | gtg_block_free (gtg_memory_t memory, void *ptr)
| Free a block of data. More...

## Detailed Description

This file defines a fast allocator for fixed-size blocks.

Version
  0.1

## Typedef Documentation

typedef struct gtg_memory* gtg_memory_t